## neofetch 2.0.2

=== Makefile ===
PREFIX        ?=  /usr
RM            ?=  rm -f
INSTALL_DIR   ?=  install -m755 -d
INSTALL_PROG  ?=  install -m755
INSTALL_FILE  ?=  install -m644

all:
	@echo Run \'make install\' to install Neofetch

install:
	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/bin
	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/neofetch/ascii/distro
	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/man/man1
	$(INSTALL_PROG) neofetch $(DESTDIR)$(PREFIX)/bin/neofetch
	$(INSTALL_FILE) neofetch.1 $(DESTDIR)$(PREFIX)/share/man/man1/neofetch.1
	$(INSTALL_PROG) config/config $(DESTDIR)$(PREFIX)/share/neofetch/config
	$(INSTALL_FILE) ascii/distro/* $(DESTDIR)$(PREFIX)/share/neofetch/ascii/distro

uninstall:
	$(RM) $(DESTDIR)$(PREFIX)/bin/neofetch
	$(RM) $(DESTDIR)$(PREFIX)/share/man/man1/neofetch.1
	$(RM) -r $(DESTDIR)$(PREFIX)/share/neofetch

=== debian/changelog ===
neofetch (2.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 07 Dec 2016 21:55:51 +0900

neofetch (2.0.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #846934)
  * Remove debian/patches.
    All patches were applied to upstream.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 06 Dec 2016 20:31:36 +0900

neofetch (1.9.1-2) unstable; urgency=medium

  * Fix launches pacman game. (Closes: #845629)
    Thanks to Dylan Araps <dylan.araps@gmail.com>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 26 Nov 2016 06:35:37 +0900

neofetch (1.9.1-1) unstable; urgency=medium

  * Initial release. (Closes: #844175)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 17 Nov 2016 00:03:38 +0900

=== debian/control ===
Source: neofetch
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Section: utils
Homepage: https://github.com/dylanaraps/neofetch
#Vcs-Git: git://anonscm.debian.org/collab-maint/neofetch.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/neofetch.git

Package: neofetch
Architecture: all
Depends: ${misc:Depends}
Description: Shows Linux System Information with Distribution Logo
 Neoftech is a cross-platform and easy-to-use system information
 command line script that collects your Linux system information
 and display it on the terminal next to an image, it could be your
 distributions logo or any ascii art of your choice.

## neofetch 3.0.1

=== Makefile ===
PREFIX = /usr

all:
	@echo Run \'make install\' to install Neofetch

install:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	mkdir -p $(DESTDIR)/etc/neofetch
	mkdir -p $(DESTDIR)$(PREFIX)/share/neofetch/ascii/distro
	cp -p neofetch $(DESTDIR)$(PREFIX)/bin/neofetch
	cp -p neofetch.1 $(DESTDIR)$(PREFIX)/share/man/man1/neofetch.1
	cp -p config/config $(DESTDIR)/etc/neofetch/config
	cp -p ascii/distro/* $(DESTDIR)$(PREFIX)/share/neofetch/ascii/distro

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/neofetch
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/neofetch.1
	rm -f -r $(DESTDIR)$(PREFIX)/share/neofetch
	rm -f -r $(DESTDIR)/etc/neofetch

=== debian/changelog ===
neofetch (3.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Set field of Vcs-Git and Vcs-Browser.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 03 Feb 2017 07:09:18 +0900

neofetch (3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 24 Jan 2017 14:51:21 +0900

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Standards-Version: 3.9.8
 Section: utils
 Homepage: https://github.com/dylanaraps/neofetch
-#Vcs-Git: git://anonscm.debian.org/collab-maint/neofetch.git
-#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/neofetch.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/neofetch.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/neofetch.git
 
 Package: neofetch
 Architecture: all

## neofetch 3.3.0

=== debian/changelog ===
neofetch (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 15 Sep 2017 12:43:35 +0900

neofetch (3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 24 Jun 2017 06:35:24 +0900

neofetch (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 27 Apr 2017 12:34:35 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: neofetch
+Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Section: utils
 Priority: optional
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
-Section: utils
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/neofetch.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/neofetch.git
 Homepage: https://github.com/dylanaraps/neofetch
-Vcs-Git: git://anonscm.debian.org/collab-maint/neofetch.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/neofetch.git
 
 Package: neofetch
 Architecture: all

## neofetch 3.4.0

=== Makefile ===
PREFIX ?= /usr
SYSCONFDIR ?= /etc
MANDIR ?= $(PREFIX)/share/man

all:
	@echo Run \'make install\' to install Neofetch.

install:
	@echo 'Making directories...'
	@mkdir -p $(DESTDIR)$(PREFIX)/bin
	@mkdir -p $(DESTDIR)$(PREFIX)/share/neofetch/ascii/distro
	@mkdir -p $(DESTDIR)$(MANDIR)/man1
	@mkdir -p $(DESTDIR)$(SYSCONFDIR)/neofetch

	@echo 'Installing binaries...'
	@sed "s|ASCIIDIR|$(PREFIX)/share/neofetch/ascii/distro|g;s|CONFDIR|$(SYSCONFDIR)/neofetch|g" < neofetch > $(DESTDIR)$(PREFIX)/bin/neofetch
	@chmod 755 $(DESTDIR)$(PREFIX)/bin/neofetch

	@echo 'Installing ASCII files, man page and config file...'
	@cp -p ascii/distro/* $(DESTDIR)$(PREFIX)/share/neofetch/ascii/distro
	@cp -p neofetch.1 $(DESTDIR)$(MANDIR)/man1
	@cp -p config/config.conf $(DESTDIR)$(SYSCONFDIR)/neofetch/config.conf

uninstall:
	@echo 'Removing files...'
	@rm -rf $(DESTDIR)$(PREFIX)/bin/neofetch
	@rm -rf $(DESTDIR)$(MANDIR)/man1/neofetch.1*
	@rm -rf $(DESTDIR)$(PREFIX)/share/neofetch
	@rm -rf $(DESTDIR)$(SYSCONFDIR)/neofetch

=== debian/changelog ===
neofetch (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Update Vcs-Browser and Vcs-Git to salsa.
  * Add watch file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 06 Apr 2018 08:01:30 +0900

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/neofetch.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/neofetch.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/debian/neofetch
+Vcs-Git: https://salsa.debian.org/debian/neofetch.git
 Homepage: https://github.com/dylanaraps/neofetch
 
 Package: neofetch

=== debian/watch ===
version=4

opts="\
dversionmangle=s{[+~](?:dfsg|git)\d*}{},\
" https://github.com/dylanaraps/neofetch/releases \
  .*/archive/v?(\d[\d\.\-rc]+)\.tar\.gz

## neofetch 5.0.0

=== debian/changelog ===
neofetch (5.0.0-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Revert to debhelper compat 9 to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 16 Jul 2018 17:13:08 -0700

neofetch (5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 20 Jun 2018 13:28:21 +0900

neofetch (4.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 28 May 2018 10:40:38 +0900

neofetch (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.4.
  * Update debhelper to 11.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 17 May 2018 15:55:57 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: neofetch
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 9)
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/debian/neofetch
 Vcs-Git: https://salsa.debian.org/debian/neofetch.git
 Homepage: https://github.com/dylanaraps/neofetch

## neofetch 6.0.0

=== debian/changelog ===
neofetch (6.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:17:50 +0800

neofetch (6.0.0-2) unstable; urgency=medium

  * Add chafa to Recommends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 09 Jan 2019 12:20:03 +0900

neofetch (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Dump Standards-Version to 4.3.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 09 Jan 2019 12:10:07 +0900

=== debian/control ===
Source: neofetch
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/neofetch
Vcs-Git: https://salsa.debian.org/debian/neofetch.git
Homepage: https://github.com/dylanaraps/neofetch

Package: neofetch
Architecture: all
Depends: ${misc:Depends}
Recommends: chafa
Description: Shows Linux System Information with Distribution Logo
 Neoftech is a cross-platform and easy-to-use system information
 command line script that collects your Linux system information
 and display it on the terminal next to an image, it could be your
 distributions logo or any ascii art of your choice.

## neofetch 6.1.0

=== debian/changelog ===
neofetch (6.1.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add mx-detect.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 03 Sep 2019 10:50:14 -0700

neofetch (6.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 02 Sep 2019 09:05:34 +0900

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: neofetch
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 11)

## neofetch 7.0.0

=== debian/changelog ===
neofetch (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 24 Mar 2020 11:26:24 +0900

## neofetch 7.1.0

=== Makefile ===
PREFIX ?= /usr
MANDIR ?= $(PREFIX)/share/man

all:
	@echo Run \'make install\' to install Neofetch.

install:
	@mkdir -p $(DESTDIR)$(PREFIX)/bin
	@mkdir -p $(DESTDIR)$(MANDIR)/man1
	@cp -p neofetch $(DESTDIR)$(PREFIX)/bin/neofetch
	@cp -p neofetch.1 $(DESTDIR)$(MANDIR)/man1
	@chmod 755 $(DESTDIR)$(PREFIX)/bin/neofetch

uninstall:
	@rm -rf $(DESTDIR)$(PREFIX)/bin/neofetch
	@rm -rf $(DESTDIR)$(MANDIR)/man1/neofetch.1*

=== debian/changelog ===
neofetch (7.1.0-4ubuntu1) plucky; urgency=medium

  * Use dpkg-alternatives to allow other packages to override the neofetch
    binary. This can be dropped after the next LTS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 04 Jan 2025 21:03:30 -0600

neofetch (7.1.0-4) unstable; urgency=medium

  * Update d/control.
    - Bump Standards-Version to 4.6.0.1.
    - Add debhelper-compat version in Build-Depends.
    - Add Rules-Requires-Root: no
    - Add 'Multi-Arch: foreign'.
  * Remove d/compat.
  * Update d/copyright
    - Update copyright year.
  * Add d/upstream/metadata
    - Add file.
  * Update d/watch.
    - Fix format.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 18 Apr 2022 17:27:53 +0900

neofetch (7.1.0-3) unstable; urgency=medium

  * d/control: Add some image display tools to Recommends (Closes: #984431)
    Thanks to Benjamin Barenblat <bbaren@debian.org>.
  * d/control: Add pciutils to Recommends (Closes: #984432)
    Thanks to Benjamin Barenblat <bbaren@debian.org>.
  * Change shebang to '#!/bin/bash' (Closes: #984433)
    - Add d/patches/0001-Change-shebang-to-bin-bash-Closes-984433.patch
    - Thanks to Benjamin Barenblat <bbaren@debian.org>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 09 Sep 2021 12:09:46 +0900

neofetch (7.1.0-2) unstable; urgency=medium

  * Fix typo in Package description (Closes: #963627).
    Thanks to Raymond Wu Won <rwcaret2@gmail.com>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 17 Nov 2020 18:25:49 +0900

neofetch (7.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 14 Aug 2020 10:59:40 +0900

=== debian/control ===
Source: neofetch
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/neofetch
Vcs-Git: https://salsa.debian.org/debian/neofetch.git
Homepage: https://github.com/dylanaraps/neofetch

Package: neofetch
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Recommends: chafa, caca-utils, imagemagick, jp2a, libsixel-bin, w3m-img, pciutils
Description: Shows Linux System Information with Distribution Logo
 Neofetch is a cross-platform and easy-to-use system information
 command line script that collects your Linux system information
 and display it on the terminal next to an image, it could be your
 distributions logo or any ascii art of your choice.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mkdir -pv debian/neofetch/usr/lib/neofetch/
	mv debian/neofetch/usr/bin/neofetch debian/neofetch/usr/lib/neofetch/neofetch

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%neofetch-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/dylanaraps/neofetch/tags .*/v?(\d\S*)\.tar\.gz debian

## neofetch 7.1.0%2Bgit20210726

=== debian/changelog ===
neofetch (7.1.0+git20210726-0.3~mx23+1) mx; urgency=medium

  * New build for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 30 Jun 2023 10:51:34 -0400

neofetch (7.1.0+git20210726-0.2~mx21+1) mx; urgency=medium

  * Add fix-mx-recognition.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 31 Jul 2021 15:42:03 -0700

neofetch (7.1.0+git20210726-0.1~mx21+1) mx; urgency=medium

  * Pull from latest git and build for MX Linux.
  * Update d/copyright for 2021.
  * Make chafa a dependency.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 29 Jul 2021 12:34:06 -0700

## neofetch 7.1.0+git20210726

=== debian/control ===
Source: neofetch
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/neofetch
Vcs-Git: https://salsa.debian.org/debian/neofetch.git
Homepage: https://github.com/dylanaraps/neofetch

Package: neofetch
Architecture: all
Depends: chafa, ${misc:Depends}
Description: Shows Linux System Information with Distribution Logo
 Neofetch is a cross-platform and easy-to-use system information
 command line script that collects your Linux system information
 and display it on the terminal next to an image, it could be your
 distributions logo or any ascii art of your choice.

## neofetch 7.1.0-2.1

=== debian/changelog ===
neofetch (7.1.0-2.1-0deepin) unstable; urgency=medium

  * Non-maintainer upload.

 -- xzl01 <xiangzelong@deepin.org>  Wed, 08 Feb 2023 16:12:06 +0800
